QGIS Application - Bug report #14237
DB Manager: python error adding a SL view using d&d
2016-02-05 05:11 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22234
Description

no error on 2.8.6

An error has occurred while executing Python code:

TypeError: unbound method mimeUri() must be called with VectorTable instance as first argument (got SLTable instance instead)

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/db_manager/db_model.py", line 513, in mimeData
stream.writeQString(table.mimeUri())
File "/usr/share/qgis/python/plugins/db_manager/db_plugins/spatialite/plugin.py", line 191, in mimeUri
return VectorTable.mimeUri(self)
TypeError: unbound method mimeUri() must be called with VectorTable instance as first argument (got SLTable instance instead)

Associated revisions

Revision c7cde461 - 2016-02-23 09:51 AM - Martin Dobias

Fix drag&drop of spatialite tables (fixes #14237)

History

#1 - 2016-02-23 12:53 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"c7cde461b2c7218bf1364e297364b57de987847d".
